"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = require("yargs");
const utils_1 = require("../utils");
const dayjs = require("dayjs");
exports.command = "matchmv";
exports.desc = `-d -m -r : renamed with prefix matched files in match directory that also are found in source directory`;
exports.matchmv = (directory, matchDirectory, renamePrefix) => __awaiter(this, void 0, void 0, function* () {
    // Initialize filesystem
    const srcFiles = yield utils_1.ls(directory);
    const matchFiles = yield utils_1.ls(matchDirectory);
    // Debug Input Parameters
    utils_1.logger.debug(`Source Directory: ${directory}`);
    utils_1.logger.debug(`Match Directory: ${matchDirectory}`);
    utils_1.logger.debug(`Rename Prefix: ${renamePrefix}`);
    // Loop over files and update Exif and file timestamp to new time
    utils_1.logger.debug(srcFiles);
    utils_1.logger.debug(matchFiles);
    // let path = ""
    // for (let i = 0; i < files.length; i++) {
    //   path = `${directory}/${files[i]}`
    //   let oldFileDateName
    //   if (env && env.toString().startsWith("CI")) {
    //     oldFileDateName = execute(osAgnosticFileDateTime(path))
    //   } else {
    //     oldFileDateName = execute(dumpFileDateName(path))
    //   }
    //   while (
    //     execute(setExifTime(start + i * increment, path)).includes(
    //       "contains no Exif timestamp to change"
    //     )
    //   ) {
    //     execute(makeExifSection(path))
    //   }
    //   execute(setFileTimeToExifTime(path))
    //   let newExifTimeFileDateName
    //   if (env && env.toString().startsWith("CI")) {
    //     newExifTimeFileDateName = execute(osAgnosticFileDateTime(path))
    //   } else {
    //     newExifTimeFileDateName = execute(dumpExifTimeFileDateName(path))
    //   }
    //   logger.debug(`${oldFileDateName}=> \n${newExifTimeFileDateName}`)
    // }
    // logger.debug("Done. 🍺")
});
exports.handler = () => __awaiter(this, void 0, void 0, function* () {
    try {
        var argv = yargs
            .option("d", {
            alias: "directory",
            describe: "source directory",
            type: "string"
        })
            .option("m", {
            alias: "matchDirectory",
            describe: "match directory",
            type: "string"
        })
            .option("r", {
            alias: "renamePrefix",
            describe: "prefix that matched files are renamed with",
            type: "string"
        }).argv;
        exports.matchmv(argv.d, argv.m, argv.r);
    }
    catch (e) {
        utils_1.logger.error("[ERROR]", e);
    }
});
//# sourceMappingURL=matchmv.js.map