"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dayjs = require("dayjs");
const utils_1 = require("../utils");
exports.dumpExifHeader = (path) => `jhead -exifmap ${path}`;
exports.osAgnosticFileDateTime = (path) => `${exports.dumpExifHeader(path)} | grep -v Map`;
exports.dumpFileDateName = (path) => `${exports.dumpExifHeader(path)} | sort | tail -n +3 | head -2`;
exports.dumpExifTimeFileDateName = (path) => `${exports.dumpExifHeader(path)} | sort | tail -n +3 | head -3`;
exports.makeExifSection = (path, outputVerbosityControl = "-q") => `jhead ${outputVerbosityControl} -mkexif ${path}`;
exports.setExifTime = (newTime, path, outputVerbosityControl = "-q") => `jhead ${outputVerbosityControl} -ts${dayjs(newTime).format(utils_1.jheadTimeFormat)} ${path}`;
exports.setFileTimeToExifTime = (path, outputVerbosityControl = "-q") => `jhead ${outputVerbosityControl} -ft ${path}`;
//# sourceMappingURL=jhead.js.map